.budi-testimonial-slider__wrapper {
    position: relative;
    width: 100%;
}

.budi-testimonial-slider {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.budi-testimonial-slider__item {
    padding: 20px 40px;
    background-color: #fff;
    transition: all 0.3s ease;
    height: auto;
    display: flex;
    flex-direction: column;
    text-align: center;
}

.budi-testimonial-slider__item::after {
    content: '';
    width: 1px;
    height: 100%;
    position: absolute;
    background: rgba(98, 30, 16, 0.1);
    right: -10px;
    top: 0;
}

.budi-testimonial-slider__title {
    margin-bottom: 30px;
    color: #000000;
    font-size: 25px !important;
    text-align: center;
}

.budi-testimonial-slider__desc {
    font-size: 13px;
    line-height: 1.7em;
    color: #3A3A3B;
    letter-spacing: 1.4px;
    margin-bottom: 0;
    flex-grow: 1;
    text-align: center;
    text-transform: uppercase;
}

.budi-testimonial-slider__rating {
    display: flex;
    align-items: center;
    gap: 13px;
    margin-bottom: 20px;
    justify-content: center;
}

.budi-testimonial-slider__image {
    width: 100%;
    border-radius: 8px;
    margin-top: 15px;
    margin-left: auto;
    margin-right: auto;
}

/* Swiper Navigation */
.budi-testimonial-slider__wrapper .budi-swiper-arrow-new {
    gap: 30px;
    margin-top: 60px;
}

.budi-testimonial-slider__wrapper .swiper-button-next,
.budi-testimonial-slider__wrapper .swiper-button-prev {
    width: auto;
    height: auto;
    position: relative;
    margin: 0 10px;
    cursor: pointer;
    left: 0;
    right: 0;
    transition: all 0.3s ease;
}

.swiper-pagination-bullet {
    width: 10px;
    height: 10px;
    background-color: #ccc;
    opacity: 1;
}

.swiper-pagination-bullet-active {
    background-color: #E0163C;
}

/* Responsive Styles */
@media (max-width: 767px) {
    .budi-testimonial-slider__item {
        padding: 0px;
    }

    .budi-testimonial-slider__item::after {
        display: none;
    }

    .budi-testimonial-slider__wrapper .budi-swiper-arrow-new {
        margin-top: 40px;
    }
}

.budi-testimonial-slider__wrapper .swiper-arrow::after {
    display: none;
}